Gravv DOCS
Docs Agent Get Started
API Reference Get a single transaction

Get a single transaction

Retrieve details of a specific transaction by transaction ID.

GET/v1/transactions/{transaction_id}

Path Parameters

The ID of the transaction to retrieve

Responses

Status Description
200 Transaction details retrieved successfully
400 Bad request — invalid parameters or downstream error

200 response

Unique transaction identifier

Transaction amount as a decimal string

Account balance before this transaction as a decimal string

Account balance after this transaction as a decimal string

Transaction channel

Possible values: avalanche, ethereum, solana, stellar, polygon, ach, wire, swift, bank_transfer, mobile_money, internal, swap, sepa, base, sui, tron, card, card_funding, card_withdrawal, card_payment, savings, savings_withdrawal, savings_interest

Caller-supplied opaque JSON string stored verbatim for reference

Client reference identifier

Customer identifier

Transaction creation timestamp

Transaction description

Transaction direction

Possible values: in, out

External system identifier for this transaction

Transaction fee as a decimal string

Additional transaction metadata

Local equivalent amount as a decimal string

ISO 4217 currency code for local_amount

Unique end-to-end transaction reference (SWIFT UETR)

Receiving account identifier

Transaction reference

Sending account identifier

Display name of the sending account

Account number of the sending account

Transaction status

Possible values: pending, completed, failed, waiting_approval

Tenant identifier

Type of transaction

Possible values: internal_transfer, crypto_transfer, crypto_funding, global_remittance, card_funding, card_withdrawal, card_payment, account_funding, credit, debit, fee_charge, subscription_fee, invoice_payment

Blockchain transaction hash

{
"data": {
"amount": "5.50",
"balance_before": "100.00",
"balance_after": "105.50",
"channel": "internal",
"client_reference": "TRXNK0ZCA21",
"customer_id": "bfe261a3-3630-4781-8249-6b0ab1123235",
"date_created": "2025-12-08T12:53:43.845956Z",
"description": "Onramp Deposit - Record: TRXNK0ZCA21",
"direction": "in",
"external_id": null,
"fee": "0",
"id": "f77465f8-0bcd-4199-a747-c2618208c907",
"client_metadata": null,
"metadata": {
  "authorize_time": null,
  "card_id": null,
  "card_type": null,
  "declined_reason": null,
  "iban": null,
  "merchant_category": null,
  "merchant_category_code": null,
  "merchant_city": null,
  "merchant_country": null,
  "merchant_id": null,
  "merchant_name": null,
  "payment_link_id": null,
  "recipient_blockchain_memo": null,
  "recipient_blockchain_network": null,
  "recipient_crypto_asset": null,
  "recipient_institution_id": null,
  "recipient_institution_name": null,
  "recipient_name": null,
  "recipient_number": null,
  "recipient_routing_number": null,
  "recipient_wallet_address": null,
  "sender_account_number": null,
  "sender_bank_name": null,
  "sender_blockchain_network": null,
  "sender_crypto_asset": null,
  "sender_name": "Madman Meek",
  "sender_number": null,
  "sender_routing_number": null,
  "sender_wallet_address": null,
  "session_id": null,
  "transaction_notes": null,
  "local_amount": null,
  "local_amount_currency": null,
  "uetr": null,
  "user_email": null,
  "user_firstname": null,
  "user_id": null,
  "user_lastname": null
},
"receiving_account_id": null,
"reference": "e542f18d-3e0c-490d-be2f-023ed94f5b21",
"sending_account_id": null,
"sending_account_name": null,
"sending_account_number": null,
"status": "pending",
"tenant_id": "89fa0d5e-3acf-4834-968f-6a9f0186ab59",
"transaction_type": "internal_transfer",
"tx_hash": null
},
"error": null
}

400 response

{
"data": null,
"error": "invalid query parameter"
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC